/*
 * gsampler-statusbar.h
 * Copyright (C) Lilian Monchalin 2011 <isaya07@users.sf.net>
 * 
 * gsampler is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * gsampler is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _GSAMPLER_STATUSBAR_H_
#define _GSAMPLER_STATUSBAR_H_

#include <gtk/gtk.h>

G_BEGIN_DECLS

#define GSAMPLER_TYPE_STATUS_BAR (gsampler_status_bar_get_type ())
#define GSAMPLER_STATUS_BAR(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), GSAMPLER_TYPE_STATUS_BAR, GsamplerStatusBar))
#define GSAMPLER_STATUS_BAR_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), GSAMPLER_TYPE_STATUS_BAR, GsamplerStatusBarClass))
#define GSAMPLER_IS_STATUS_BAR(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GSAMPLER_TYPE_STATUS_BAR))
#define GSAMPLER_IS_STATUS_BAR_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), GSAMPLER_TYPE_STATUS_BAR))
#define GSAMPLER_STATUS_BAR_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), GSAMPLER_TYPE_STATUS_BAR, GsamplerStatusBarClass))
#define GSAMPLER_STATUS_BAR_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), GSAMPLER_TYPE_STATUS_BAR, GsamplerStatusBarPrivate))

typedef struct _GsamplerStatusBar GsamplerStatusBar;
typedef struct _GsamplerStatusBarClass GsamplerStatusBarClass;
typedef struct _GsamplerStatusBarPrivate GsamplerStatusBarPrivate;

struct _GsamplerStatusBar {
	GtkStatusbar parent_instance;
	GsamplerStatusBarPrivate * priv;
};

struct _GsamplerStatusBarClass {
	GtkStatusbarClass parent_class;
};

struct _GsamplerStatusBarPrivate {
	GtkProgressBar* progress;
	guint timeout_id;
};

GType gsampler_status_bar_get_type (void) G_GNUC_CONST;
GsamplerStatusBar* gsampler_status_bar_new (void);

void gsampler_status_bar_set_error_message (GsamplerStatusBar* self, const gchar* mes);
void gsampler_status_bar_set_progress (GsamplerStatusBar* self, gdouble* perc, const gchar* msg);
void gsampler_status_bar_pulse (GsamplerStatusBar* self, gboolean watch);
G_END_DECLS

#endif /* _GSAMPLER_STATUSBAR_H_ */